RT_TBX_SEND(8)

NAME
rt_tbx_send - send message unconditionally

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_send(TBX *tbx, void *msg, int msg_size);

DESCRIPTION
rt_tbx_send sends a message msg of msg_size bytes to the typed mailbox tbx. The caller will be blocked until the whole message is enqueued or an error occurs.

RETURN VALUES
0 is returned in case of message regularly sent, otherwise msg_size is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.